package net.java.quickcheck.generator;

public class CombinedGeneratorSamples{
    public static <T extends java.lang.Object>  T anyOneO(net.java.quickcheck.Generator<T> generator){
        return net.java.quickcheck.generator.CombinedGenerators.<T> oneOf(generator).next();        
    }    
    public static <T extends java.lang.Object>  java.util.Iterator<T> anyNonEmptyIterator(net.java.quickcheck.Generator<T> content){
        return net.java.quickcheck.generator.CombinedGenerators.nonEmptyIterators(content).next();        
    }    
    public static <T extends java.lang.Object>  T anyUniqueValue(net.java.quickcheck.Generator<T> generator){
        return net.java.quickcheck.generator.CombinedGenerators.<T> uniqueValues(generator).next();        
    }    
    public static <T extends java.lang.Object>  T anyUniqueValue(net.java.quickcheck.Generator<T> generator, int tries){
        return net.java.quickcheck.generator.CombinedGenerators.<T> uniqueValues(generator, tries).next();        
    }    
    public static <T extends java.lang.Object>  T anyFrequenc(net.java.quickcheck.Generator<T> generator, int weight){
        return net.java.quickcheck.generator.CombinedGenerators.<T> frequency(generator, weight).next();        
    }    
    public static <T extends java.lang.Object>  java.util.List<T> anyNonEmptyList(net.java.quickcheck.Generator<T> content){
        return net.java.quickcheck.generator.CombinedGenerators.nonEmptyLists(content).next();        
    }    
    public static <T extends java.lang.Object>  T anyEnsureValue(java.util.Collection<T> ensuredValues, net.java.quickcheck.Generator<T> otherValues){
        return net.java.quickcheck.generator.CombinedGenerators.<T> ensureValues(ensuredValues, otherValues).next();        
    }    
    public static <T extends java.lang.Object>  T anyEnsureValue(T[] content){
        return net.java.quickcheck.generator.CombinedGenerators.<T> ensureValues(content).next();        
    }    
    public static <T extends java.lang.Object>  T anyEnsureValue(java.util.Collection<T> ensuredValues){
        return net.java.quickcheck.generator.CombinedGenerators.<T> ensureValues(ensuredValues).next();        
    }    
    public static <T extends java.lang.Object>  java.util.Set<T> anySet(net.java.quickcheck.Generator<T> content, int low, int high){
        return net.java.quickcheck.generator.CombinedGenerators.sets(content, low, high).next();        
    }    
    public static <T extends java.lang.Object>  java.util.Set<T> anySet(net.java.quickcheck.Generator<T> content, net.java.quickcheck.Generator<java.lang.Integer> size){
        return net.java.quickcheck.generator.CombinedGenerators.sets(content, size).next();        
    }    
    public static <T extends java.lang.Object>  java.util.Set<T> anySet(net.java.quickcheck.Generator<T> content){
        return net.java.quickcheck.generator.CombinedGenerators.sets(content).next();        
    }    
    public static  int[] anyIntArray(net.java.quickcheck.Generator<java.lang.Integer> size){
        return net.java.quickcheck.generator.CombinedGenerators.intArrays(size).next();        
    }    
    public static  int[] anyIntArray(){
        return net.java.quickcheck.generator.CombinedGenerators.intArrays().next();        
    }    
    public static  int[] anyIntArray(net.java.quickcheck.Generator<java.lang.Integer> content, net.java.quickcheck.Generator<java.lang.Integer> size){
        return net.java.quickcheck.generator.CombinedGenerators.intArrays(content, size).next();        
    }    
    public static <T extends java.lang.Object>  java.util.Set<T> anyNonEmptySet(net.java.quickcheck.Generator<T> content){
        return net.java.quickcheck.generator.CombinedGenerators.nonEmptySets(content).next();        
    }    
    public static <T extends java.lang.Object>  java.util.List<T> anyList(net.java.quickcheck.Generator<T> content){
        return net.java.quickcheck.generator.CombinedGenerators.lists(content).next();        
    }    
    public static <T extends java.lang.Object>  java.util.List<T> anyList(net.java.quickcheck.Generator<T> content, net.java.quickcheck.Generator<java.lang.Integer> size){
        return net.java.quickcheck.generator.CombinedGenerators.lists(content, size).next();        
    }    
    public static <T extends java.lang.Object>  java.util.List<T> anyList(net.java.quickcheck.Generator<T> content, int low, int high){
        return net.java.quickcheck.generator.CombinedGenerators.lists(content, low, high).next();        
    }    
    public static <T extends java.lang.Object>  java.util.List<T> anyList(net.java.quickcheck.Generator<T> content, int low){
        return net.java.quickcheck.generator.CombinedGenerators.lists(content, low).next();        
    }    
    public static <T extends java.lang.Object>  T[] anyNonEmptyArray(net.java.quickcheck.Generator<T> content, java.lang.Class<T> type){
        return net.java.quickcheck.generator.CombinedGenerators.nonEmptyArrays(content, type).next();        
    }    
    public static <A extends java.lang.Object,B extends java.lang.Object>  net.java.quickcheck.collection.Pair<A,B> anyPair(net.java.quickcheck.Generator<A> first, net.java.quickcheck.Generator<B> second){
        return net.java.quickcheck.generator.CombinedGenerators.pairs(first, second).next();        
    }    
    public static  byte[] anyByteArray(net.java.quickcheck.Generator<java.lang.Byte> content, net.java.quickcheck.Generator<java.lang.Integer> size){
        return net.java.quickcheck.generator.CombinedGenerators.byteArrays(content, size).next();        
    }    
    public static  byte[] anyByteArray(net.java.quickcheck.Generator<java.lang.Integer> size){
        return net.java.quickcheck.generator.CombinedGenerators.byteArrays(size).next();        
    }    
    public static  byte[] anyByteArray(){
        return net.java.quickcheck.generator.CombinedGenerators.byteArrays().next();        
    }    
    public static <T extends java.lang.Object>  T anyExclud(net.java.quickcheck.Generator<T> generator, java.util.Collection<T> excluded){
        return net.java.quickcheck.generator.CombinedGenerators.<T> exclude(generator, excluded).next();        
    }    
    public static <T extends java.lang.Object>  T anyExclud(net.java.quickcheck.Generator<T> generator, T[] excluded){
        return net.java.quickcheck.generator.CombinedGenerators.<T> exclude(generator, excluded).next();        
    }    
    public static <T extends java.lang.Object>  java.util.Iterator<T> anyIterator(net.java.quickcheck.Generator<T> content){
        return net.java.quickcheck.generator.CombinedGenerators.iterators(content).next();        
    }    
    public static <T extends java.lang.Object>  java.util.Iterator<T> anyIterator(net.java.quickcheck.Generator<T> content, net.java.quickcheck.Generator<java.lang.Integer> size){
        return net.java.quickcheck.generator.CombinedGenerators.iterators(content, size).next();        
    }    
    public static <T extends java.lang.Object>  java.util.List<T> anyVector(net.java.quickcheck.Generator<T> content, int size){
        return net.java.quickcheck.generator.CombinedGenerators.vectors(content, size).next();        
    }    
    public static <A extends java.lang.Object,B extends java.lang.Object,C extends java.lang.Object>  net.java.quickcheck.collection.Triple<A,B,C> anyTriple(net.java.quickcheck.Generator<A> first, net.java.quickcheck.Generator<B> second, net.java.quickcheck.Generator<C> third){
        return net.java.quickcheck.generator.CombinedGenerators.triples(first, second, third).next();        
    }    
    public static <T extends java.lang.Comparable<T>>  java.util.List<T> anySortedList(net.java.quickcheck.Generator<T> content, net.java.quickcheck.Generator<java.lang.Integer> size){
        return net.java.quickcheck.generator.CombinedGenerators.sortedLists(content, size).next();        
    }    
    public static <T extends java.lang.Comparable<T>>  java.util.List<T> anySortedList(net.java.quickcheck.Generator<T> content, int low, int high){
        return net.java.quickcheck.generator.CombinedGenerators.sortedLists(content, low, high).next();        
    }    
    public static <T extends java.lang.Comparable<T>>  java.util.List<T> anySortedList(net.java.quickcheck.Generator<T> content){
        return net.java.quickcheck.generator.CombinedGenerators.sortedLists(content).next();        
    }    
    public static <T extends java.lang.Object>  T anyNullsAn(net.java.quickcheck.Generator<T> generator, int weight){
        return net.java.quickcheck.generator.CombinedGenerators.<T> nullsAnd(generator, weight).next();        
    }    
    public static <T extends java.lang.Object>  T[] anyArray(net.java.quickcheck.Generator<T> content, net.java.quickcheck.Generator<java.lang.Integer> size, java.lang.Class<T> type){
        return net.java.quickcheck.generator.CombinedGenerators.arrays(content, size, type).next();        
    }    
    public static <T extends java.lang.Object>  T[] anyArray(net.java.quickcheck.Generator<T> content, java.lang.Class<T> type){
        return net.java.quickcheck.generator.CombinedGenerators.arrays(content, type).next();        
    }    
    public static <T extends java.lang.Object>  T anyNullsAn(net.java.quickcheck.Generator<T> generator){
        return net.java.quickcheck.generator.CombinedGenerators.<T> nullsAnd(generator).next();        
    }    
}
